package nc.vo.sap.syproconfig;

import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.model.meta.entity.bill.BillMetaFactory;
import nc.vo.pubapp.pattern.model.meta.entity.bill.IBillMeta;

@nc.vo.annotation.AggVoInfo(parentVO = "nc.vo.sap.syproconfig.SyProConfigVO")

public class AggSyProConfigVO extends AbstractBill {
	
	  @Override
	  public IBillMeta getMetaData() {
	  	IBillMeta billMeta =BillMetaFactory.getInstance().getBillMeta(AggSyProConfigVOMeta.class);
	  	return billMeta;
	  }
	    
	  @Override
	  public SyProConfigVO getParentVO(){
	  	return (SyProConfigVO)this.getParent();
	  }
	  
}